#ifndef _INCLUDED_APP_CONTROLLER_H
#define _INCLUDED_APP_CONTROLLER_H

#include <Foundation/Foundation.h>
#include <AppKit/AppKit.h>

#define APP_NAME "PhotoClip"

@class ImageWindow;
@class FileRing;
@class SelectionCtrl;

@interface AppController : NSObject
{
    ImageWindow * _window;
    FileRing * _fileRing;
    SelectionCtrl * _selCtrl;
}

- (id) init;
- (void) applicationWillFinishLaunching: (NSNotification *)not;
- (void) applicationDidFinishLaunching: (NSNotification *)not;
- (void) applicationWillTerminate: (NSNotification *)not;
- (BOOL) applicationShouldTerminateAfterLastWindowClosed: (id)sender;

- (void) createWindow;
- (void) createMenu;

- (void) showInfoPanel:(id)sender;
- (void) open: (id)sender;
- (void) rotatePositive: (id)sender;
- (void) rotateNegative: (id)sender;
- (void) nextImage: (id)sender;
- (void) prevImage: (id)sender;
- (void) clip: (id)sender;
- (void) save: (id)sender;

- (void) openFile: (NSString *)fileName;
// - (void) recreateFileRingFromPath: (NSString *)path;

- (SelectionCtrl *) selectionCtrl;

@end // interface AppController

#endif // _INCLUDED_APP_CONTROLLER_H
